GroupControllerGetMembers Method |
GET /Group/GetMembers/{id}
Gets the accounts/groups that belong to the group.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("GetMembers")]
public IActionResult GetMembers(
Guid id,
bool includeInherited,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("GetMembers")>
Public Function GetMembers (
id As Guid,
includeInherited As Boolean,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"GetMembers")]
IActionResult^ GetMembers(
Guid id,
bool includeInherited,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("GetMembers")>]
member GetMembers :
id : Guid *
includeInherited : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the group which data is requested. - includeInherited
- Type: SystemBoolean
If set to , then inherited members are included. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of arrays, with each index containing an array of
MemberInfoData objects, or a status code indicating the problem.
Remarks
Index 0 of the result is an array of
MemberInfoData objects for the accounts belonging to the group.
Index 1 of the result is an array of
MemberInfoData objects for the groups belonging to the group.
See Also